aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorWilliam Pitcock <nenolod@dereferenced.org>2010-12-16 10:39:07 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2010-12-16 12:29:45 +0000
commite4242fb10fcadd724e1ef3adec17eec9a1b12f64 (patch)
treef5a45bd3a97cf88e746dbb747e4f0a01106212b4
parent027fc6a04c9ad2b7026f2c0e4821dbd74ee944a0 (diff)
downloadaports-e4242fb10fcadd724e1ef3adec17eec9a1b12f64.tar.bz2
aports-e4242fb10fcadd724e1ef3adec17eec9a1b12f64.tar.xz
testing/audacious: fix depends, add uclibc patch
-rw-r--r--testing/audacious/APKBUILD52
-rw-r--r--testing/audacious/uclibc-execinfo.patch23
2 files changed, 75 insertions, 0 deletions
diff --git a/testing/audacious/APKBUILD b/testing/audacious/APKBUILD
new file mode 100644
index 0000000..d503bec
--- /dev/null
+++ b/testing/audacious/APKBUILD
@@ -0,0 +1,52 @@
+# Contributor: William Pitcock <nenolod@dereferenced.org>
+# Maintainer: William Pitcock <nenolod@dereferenced.org>
+pkgname=audacious
+pkgver=2.4.2
+pkgrel=0
+pkgdesc="playlist-oriented media player with multiple interfaces"
+url="http://audacious-media-player.org/"
+arch="all"
+license="ISC"
+depends=
+makedepends="libmowgli-dev libmcs-dev libguess-dev gtk+-dev dbus-glib-dev libxml2-dev"
+install=
+subpackages="$pkgname-dev"
+source="http://distfiles.atheme.org/$pkgname-$pkgver.tgz
+ uclibc-execinfo.patch"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+
+prepare() {
+ cd "$_builddir"
+
+ for i in $source; do
+ case $i in
+ *.patch)
+ msg "Applying $i..."
+ patch -s -p1 -N -i "$srcdir"/$i || return 1
+ ;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/share/man \
+ --infodir=/usr/share/info \
+ --enable-chardet
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+
+ # bleah...
+ mkdir $pkgdir/usr/bin
+
+ make DESTDIR="$pkgdir" install
+}
+
+md5sums="bffdee15653595a7e9126246dee444e5 audacious-2.4.2.tgz
+b200db2ce2f3949deb4fdfa98f0b193d uclibc-execinfo.patch"
diff --git a/testing/audacious/uclibc-execinfo.patch b/testing/audacious/uclibc-execinfo.patch
new file mode 100644
index 0000000..803f273
--- /dev/null
+++ b/testing/audacious/uclibc-execinfo.patch
@@ -0,0 +1,23 @@
+--- audacious-2.4.2.orig/src/libaudcore/audstrings.c
++++ audacious-2.4.2/src/libaudcore/audstrings.c
+@@ -230,9 +230,8 @@
+ return dirname;
+ }
+
+-#if defined(__GLIBC__) && (__GLIBC__ >= 2)
+-#define HAVE_EXECINFO 1
+-#include <execinfo.h>
++#ifdef HAVE_EXECINFO_H
++# include <execinfo.h>
+ #endif
+
+ /**
+@@ -258,7 +257,7 @@
+
+ /* already UTF-8? */
+ if (!g_utf8_validate(str, -1, NULL)) {
+-#ifdef HAVE_EXECINFO
++#ifdef HAVE_EXECINFO_H
+ gint i, nsymbols;
+ const gint nsymmax = 50;
+ void *addrbuf[nsymmax];